Check template approval

Check template approval. See the OpenAPI-defined parameters, request body, and responses below.

POST /ConversationTemplate/{id}/check-approval

Check template approval. See the OpenAPI-defined parameters, request body, and responses below.

OpenAPI description: Este endpoint dispara uma verificação manual do status de aprovação do template de conversa no provedor.

Authentication

Authentication required. Send your user API key in the X-API-Key header.

Parameters

NameLocationTypeRequiredDescriptionConstraints
idpathinteger · int32Yes——

Request body

This operation does not accept a request body.

Example request

curl --request POST \
  --url 'https://api.zild.ai/ConversationTemplate/{id}/check-approval' \
  --header 'X-API-Key: YOUR_USER_API_KEY'

Responses

StatusDescriptionResponse body
200Status de aprovação verificado com sucessoapplication/json · ConversationTemplateDto

Example response (200):

{
  "id": 0,
  "active": true,
  "contentSid": "string",
  "name": "string",
  "message": "string",
  "createdAt": "2026-09-22T18:00:00Z",
  "conversationTemplateType": 0,
  "contentVariables": {},
  "approvalStatus": 0,
  "botId": 0,
  "language": "string",
  "queueIds": [
    0
  ],
  "groupIds": [
    0
  ]
}

Data models

ApprovalStatus

0 = NotRequested; 1 = Received; 2 = Pending; 3 = Approved; 4 = Rejected

integer

ConversationTemplateDto
PropertyTypeRequiredDescriptionConstraints
idinteger · int32No——
activebooleanNo——
contentSidstringNo—nullable
namestringNo—nullable
messagestringNo—nullable
createdAtstring · date-timeNo——
conversationTemplateTypeConversationTemplateTypeNo——
contentVariablesobjectNo—nullable
approvalStatusApprovalStatusNo——
botIdinteger · int32No——
languagestringNo—nullable
queueIdsarray<integer · int32>No—nullable
groupIdsarray<integer · int32>No—nullable
ConversationTemplateType

0 = Utility; 1 = Marketing; 2 = Authentication

integer